Subject: Re: [secdir] secdir review of draft-housley-iesg-rfc3932bis-06

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 03 Dec 2008 06:34:53 +0100

Samuel Weiler skrev:
> On Wed, 26 Nov 2008, Russ Housley wrote:
>
>> 2. Independent submission informational RFC
> ...
>> Today, the IESG asks the RFC Editor to hold the rejected alternative 
>> until the standards-track document is in the RFC Editor queue, and 
>> the informational document will be published with a note indicating 
>> that a standards-track alternative is available in RFC xxxx.  That is 
>> the point of the response you are questioning.
>
> Having jumped through some very slow hoops several years ago to get 
> some IANA assignments in a 'Specification Required' registry, I worry 
> about the substantive effects of delaying publication for this (or 
> any) reason, when delaying publication might cause codepoint 
> assignments to also be delayed.  That said, the registration policy 
> for that particular registry has since changed, and I'm not sure what 
> other registries might be affected.  (RFC4020 provides for early 
> allocation in Standards Action registries, but not Specification 
> Required registries.)
>
> I'm content to see this document be published as-is, but I'd welcome 
> thoughts on how to avoid blocking IANA assignments as a side effect of 
> publication delay. 

I thought the solution in the DLV case was useful, albeit not terribly 
so - publish a "specification" that didn't really specify anything, but 
got the codepoint, and then follow up with the real specification as an 
ind-sub when that was appropriate.

Don't know if this particular delay mechanism was involved there, though.

                  Harald
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Samuel Weiler <[email-masked]>
Date: Tue, 2 Dec 2008 23:55:21 -0500 (EST)

...
> that a standards-track alternative is available in RFC xxxx.  That 
> is the point of the response you are questioning.

-- Sam

---

From: Samuel Weiler <[email-masked]>
Date: Wed, 3 Dec 2008 00:57:19 -0500 (EST)

On Wed, 3 Dec 2008, Harald Tveit Alvestrand wrote:

> I thought the solution in the DLV case was useful, albeit not terribly so - 
> publish a "specification" that didn't really specify anything, but got the 
> codepoint, and then follow up with the real specification as an ind-sub when 
> that was appropriate.

FWIW, both 4431 and 5074 were AD-sponsored ("IETF Stream").  We had 
previously attempted to publish 4431 as an independent submission, 
with poor results.

> Don't know if this particular delay mechanism was involved there, though.

It was not.  There were a number of delays, primarily in the RFC 
Editor's slow review of the independent submission, but the IETF 
didn't have any competing technology in the pipeline, so this 
mechanism was never invoked.  Which makes this a poor example of how 
to proceed in the case of competing technologies.

-- Sam